Subject: Re: [PATCH RESUBMIT] leds: trigger: netdev: add core support for hw not supporting fallback to LED sw control

From: Lee Jones <[email-masked]>
Date: Thu, 11 Jan 2024 10:32:35 +0000

On Thu, 11 Jan 2024, Heiner Kallweit wrote:

> On 11.01.2024 09:44, Lee Jones wrote:
> > On Sun, 17 Dec 2023, Heiner Kallweit wrote:
> > 
> >> On 17.12.2023 19:46, Heiner Kallweit wrote:
> >>> If hw doesn't support sw control of the LED and we switch to a mode
> >>> not supported by hw, currently we get lots of errors because neither
> >>> brigthness_set() nor brithness_set_blocking() is set.
> >>> Deal with this by not falling back to sw control, and return
> >>> -EOPNOTSUPP to the user. Note that we still store the new mode.
> >>> This is needed in case an intermediate unsupported mode is necessary
> >>> to switch from one supported mode to another.
> >>>
> >>> Add a comment explaining how a driver for such hw is supposed to behave.
> >>>
> >>> Signed-off-by: Heiner Kallweit <[email-masked]>
> >>> ---
> >>
> >> For whatever reason this patch (original version and resubmit) doesn't
> >> show up on linux-leds patchwork. In netdev patchwork it's visible.
> > 
> > Never used it.  Do you have a link?
> > 
> This is the original patch in netdev patchwork
> https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/
> 
> This is my patches in linux-leds patchwork. The one from Dec 6th is missing here.
> https://patches.linaro.org/project/linux-leds/list/?series=&submitter=6702&state=*&q=&archive=&delegate=
> However the resubmitted one showed up later.

AFAIW, that's not the official Patchwork for LEDs.

And as I say, I don't use it, so I'm not really in a position to comment.

Do we still have something outstanding?

-- 
Lee Jones [李琼斯]